Subject: Physical address needed for shipment
From: "Mike" <[email-masked]>
To: <[email-masked]>
Date: Thu, 21 Apr 2011 09:50:03 -0400

Hello Tina.
I have no problem shipping to another address.   However, since I ship UPS, I can not ship to PO boxes and will need a physical address.  The only other problem would be if for some reason the package was returned when shipping to a unconfirmed address.  If I had to reship it, you would be responsible for additional shipping charges.  I have only ever had that happen once because the person did not give me the complete address (no apt. #).  Regardless, if you can provide me with a good physical address for Ryan Marinelli at Brown University, I will get the phone sent right out.  Hope to hear from you soon.
Thank you,
Michael Bishop
[email-masked]